# Interface FixedPrimitiveNumLayoutItem<T, Signed>

#### Type Parameters

- #### T extends NumType

- #### Signed extends Boolean

#### Hierarchy

- NumLayoutItemBase<T, Signed>
- FixedPrimitiveCustom<T>
  - FixedPrimitiveNumLayoutItem

- Defined in core/base/src/utils/layout/layout.ts:59

#####
Index

### Properties

binary
custom
endianness?
omit?
size

## Properties

### `Readonly` binary

binary: Signed extends true
? "int"
: "uint"

Inherited from NumLayoutItemBase.binary

- Defined in core/base/src/utils/layout/layout.ts:40

### custom

custom: T

Inherited from FixedPrimitiveCustom.custom

- Defined in core/base/src/utils/layout/layout.ts:44

### `Optional` endianness

endianness?: Endianness

Inherited from NumLayoutItemBase.endianness

- Defined in core/base/src/utils/layout/layout.ts:56

### `Optional` omit

omit?: boolean

Inherited from FixedPrimitiveCustom.omit

- Defined in core/base/src/utils/layout/layout.ts:45

### size

size: T extends bigint
? number
: NumberSize

Inherited from NumLayoutItemBase.size

- Defined in core/base/src/utils/layout/layout.ts:55

Generated using TypeDoc